JasPer 4.2.9 |

Loading...
Searching...
No Matches
jas_tvp.h File Reference

Tag/Value Pair Parser. More...

`#include <jasper/jas_config.h>`

Go to the source code of this file.

## Classes
struct | jas_taginfo_t
| Tag information type. More...
struct | jas_tvparser_t
| Tag-value parser type. More...

## Functions
JAS_ATTRIBUTE_PURE JAS_EXPORT const jas_taginfo_t * | jas_taginfos_lookup (const jas_taginfo_t *taginfos, const char *name)
| Lookup a tag by name.
JAS_ATTRIBUTE_PURE JAS_EXPORT const jas_taginfo_t * | jas_taginfo_nonull (const jas_taginfo_t *taginfo)
| Ensure a nonnull taginfo pointer.
JAS_EXPORT jas_tvparser_t * | jas_tvparser_create (const char *s)
| Create a tag-value parser for the specified string.
JAS_EXPORT void | jas_tvparser_destroy (jas_tvparser_t *tvparser)
| Destroy a tag-value parser.
JAS_EXPORT int | jas_tvparser_next (jas_tvparser_t *tvparser)
| Get the next tag-value pair.
JAS_ATTRIBUTE_PURE JAS_EXPORT const char * | jas_tvparser_gettag (const jas_tvparser_t *tvparser)
| Get the tag name for the current tag-value pair.
JAS_ATTRIBUTE_PURE JAS_EXPORT const char * | jas_tvparser_getval (const jas_tvparser_t *tvparser)
| Get the value for the current tag-value pair.

## Detailed Description

Tag/Value Pair Parser.